/*
   cipelib - library routines common to CIPE (user-mode part) and PKCIPE

   Copyright 2000 Olaf Titz <olaf@bigred.inka.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version
   2 of the License, or (at your option) any later version.
*/
/* $Id: parseopt.c,v 1.2 2000/11/20 22:23:56 olaf Exp $ */

#include <ctype.h>
#include <string.h>
#include "cipelib.h"

void parseopt(char *b, char **n, char **v)
{
    register char *p;

    for (p=b; isspace(*p); ++p);
    (*n)=p;
    for (; *p && !strchr("= \t\r\n", *p); ++p);
    if (!*p) {
	(*v)=NULL;
	return;
    }
    for (*p++='\0'; *p && strchr("= \t\r\n", *p); ++p);
    (*v)=p;
    for (; *p && !strchr("= \t\r\n", *p); ++p);
    *p='\0';
}
